chiark / gitweb /
git-debrebase: wip stitch
[dgit.git] / tests / lib
index e4554e373f9fddef37c7cd0f302e98989e643fd1..e226637fce41ea84a89c8dde68432c0cd8c81e5a 100644 (file)
--- a/tests/lib
+++ b/tests/lib
@@ -189,6 +189,13 @@ t-git-none () {
        (set -e; cd $tmp/git; tar xf $troot/git-template.tar)
 }
 
+t-salsa-add-remote () {
+       local d=$tmp/salsa/$p
+       mkdir -p $d
+       (set -e; cd $d; git init --bare)
+       git remote add ${1-origin} $d
+}
+
 t-git-merge-base () {
        git merge-base $1 $2 || test $? = 1
 }
@@ -417,7 +424,7 @@ t-dgit () {
  ${dgit_config_debian_alias-"--config-lookup-explode=dgit-distro.debian.alias-canon"} \
                ${distro+${distro:+-d}}${distro--dtest-dummy} \
                $DGIT_TEST_OPTS $DGIT_TEST_DEBUG \
-               -k39B13D8A $t_dgit_xopts "$@"
+               -kBCD22CD83243B79D3DFAC33EA3DBCBC039B13D8A $t_dgit_xopts "$@"
        : '}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}
 '
 }